Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 82

Summary: Kernel panic: Failed to allocate buffer hash table
Product: [Retired] Red Hat Linux Reporter: jan
Component: kernelAssignee: David Lawrence <dkl>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: 5.2   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1998-11-23 16:23:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description jan 1998-11-16 00:31:16 UTC
The boot floppy for the RedHat 5.2 installer contains a
vmlinuz image that crashes my new machine.

Machine Details:
	Tyan S1836DLUAN-GX motherboard
	Dual PII 450MHz
	1GB RAM
	9.1 GB Ultra SCSI western digital hard drive
	Diamond Viper 550 video controller

Boot message:
	...
	calibrating delay loop.. ok - 450.56 BogoMIPS
	initrd overwritten (0x00e00000 < 0x01014e34) - disabling
it.
	Memory: 1032740k/1048576k available (708k kernel code, 384
reserved, 14744k data)
	Bad pmd in pte_alloc: 008000e7
	Kernel panic: Failed to allocate buffer hash table

	In swapper task - not syncing


Note:

The boot floppy for -> RedHat 5.0 <- does not
crash the machine, but I want to install RedHat 5.2

Comment 1 jan 1998-11-16 21:11:59 UTC
Found workaround.  It appears the kernel will not boot with very large
memory sizes (such as 1GB).  Giving the following parameters works:

linux mem=1008M expert

Comment 2 David Lawrence 1998-11-17 19:02:59 UTC
This problem should be fixed in the latest 2.0.36 final release. Try
downloading the new 2.0.36 rpm when it is made available and try this
one again. If yes then please close the bug report.